
Redmine - Feature #18901

Redmine email smtp configuration still not support Microsoft Exchange Server NTLM and Kerberos

2015-01-19 13:12 - JS Jiang

Status: Closed Start date:  

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

I'm trying to build Redmine in my company in which email server is Microsoft exchange using Kerberos and NTLM verification. It

seems that the smtp server port is dynamically allocated, meaning the port used in computer A is different from computer B. (I get to

know the dynamic port allocation through network monitor software).

I've tried all possible email smtp configuration provided on the web, including the ruby-ntlm, but none of them works. Eventually I

figure out it's because our email server uses Kerberos and NTLM verification, but till now there is no library that supports it in

Redmine.

A project management tool without the capability to inform members with email is useless. Could someone try to make some

progress for Redmine to work in exchange server with Kerberos and NTLM verification?

Related issues:

Is duplicate of Redmine - Feature #7811: Add support for NTLM authentication ... Closed 2011-03-08

History

#1 - 2015-01-29 00:45 - Jan Niggemann (redmine.org team member)

- Tracker changed from Defect to Feature

- Category set to Email notifications

- Status changed from New to Needs feedback

- Priority changed from Urgent to Low

- Resolution set to Duplicate

We strive to deliver a good integration with defined standards, one of which is SMTP and its extension SMTP auth (RFC 4954). AFAIK redmine

doesn't support NTLM authentication at the moment, which an exchange server would need to use kerberos.

A project management tool without the capability to inform members with email is useless.

 We program redmine in our free time, provide it free of charge and are always happy to help. If asked politely, that is. Your non-constructive rant

doesn't show any understanding of an open-source development model, nor does it show any empathy for the developers, which may be the reason

why your ticket does not have any feedback from the developers after 9 days.

To be constructive, I added the appropriate category you left out and changed the tracker to represent what your request actually is: A feature

request, a dupe BTW.

Closing this because it's a duplicate of #7811.

#2 - 2015-01-29 00:45 - Jan Niggemann (redmine.org team member)

- Status changed from Needs feedback to Closed

#3 - 2015-02-09 13:00 - Toshi MARUYAMA

- Is duplicate of Feature #7811: Add support for NTLM authentication mode for mail sending via Exchange Server added
